import request from '@/utils/request'

//   告警看板提示信息
export function tableTips() {
    return request({
      url: '/system/taskInstance/warnBoard',
      method: 'get'
    })
  }
// 查询告警看板table信息
export function tableList(data) {
    return request({
      url: '/system/taskInstance/warnBoardTable',
      method: 'post',
      data
    })
  }
  // 任务实例列表信息
  export function taskList(data) {
      return request({
        url: '/system/taskInstance/list',
        method: 'get',
        params: data
      })
    }
  // 任务实例运行结果
  export function runResult(runId) {
      return request({
        url: '/system/taskInstance/runResult/' + runId,
        method: 'get'
      })
    }
  // 任务实例树形目录
  export function getTaskInstanceTree() {
      return request({
        url: '/system/taskInstance/getTaskInstanceTree',
        method: 'get'
      })
    }
  // 任务实例错误数据导出
  export function exportErrorData(data) {
      return request({
        url: '/system/taskInstance/exportErrorData',
        method: 'post',
        data
      })
    }
